<?php require_once('Connections/cn.php'); ?>
<?php
 session_start();
 $sede_usuario=$_SESSION['SEDE_USUARIO'];
 if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- usuarios_admin</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Usuarios Administrativos</h2></td></tr></table>
<?php
  $conn = connect();
  $showrecs = 10;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec($sede_usuario,$sede_usuario);
      break;
    case "view":
      viewrec($recid,$sede_usuario);
      break;
    case "edit":
      editrec($recid,$sede_usuario);
      break;
    case "del":
      deleterec($recid,$sede_usuario);
      break;
    default:
      select($sede_usuario);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php

 function select($sede_usuario)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($sede_usuario);
  $count = sql_getrecordcount($sede_usuario);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>Número de Usuarios <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="usuarios_admin_sede.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los Campos</option>
<option value="<?php echo "cedula" ?>"<?php if ($filterfield == "cedula") { echo "selected"; } ?>><?php echo htmlspecialchars("C�dula o Pasaporte") ?></option>
<option value="<?php echo "apellidos" ?>"<?php if ($filterfield == "apellidos") { echo "selected"; } ?>><?php echo htmlspecialchars("Apellidos") ?></option>
<option value="<?php echo "nombres" ?>"<?php if ($filterfield == "nombres") { echo "selected"; } ?>><?php echo htmlspecialchars("Nombres") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="usuarios_admin_sede.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center"><a class="hr" href="usuarios_admin_sede.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Cédula") ?></a></td>
<td class="hr" align="center"><a class="hr" href="usuarios_admin_sede.php?order=<?php echo "apellidos" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Apellidos") ?></a></td>
<td class="hr" align="center"><a class="hr" href="usuarios_admin_sede.php?order=<?php echo "nombres" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Nombres") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="usuarios_admin_sede.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0"> </a></td>
<td class="<?php echo $style ?>" align="center"><a href="usuarios_admin_sede.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="usuarios_admin_sede.php?a=del&recid=<?php echo $i ?>"><img src="imagenes/delete.png" border="0" ></a></td>
<td align="right" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td align="left" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td align="left" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid, $sede_usuario)
  {
  global $conn;
  
    $conn=connect();

  	mysql_select_db($database_cn, $conn);
	mysql_query ("SET NAMES 'utf8'");
	$query_rstSede = "SELECT codigo, nombre_sede FROM sedes where codigo='$sede_usuario' ORDER BY nombre_sede";
	$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
	$row_rstSede = mysql_fetch_assoc($rstSede);
	$totalRows_rstSede = mysql_num_rows($rstSede);
	
	$codigo_sede=$row['sede'];
	
	$query_rstSede1 = "SELECT codigo, nombre_sede FROM sedes WHERE codigo='$codigo_sede'";
	$rstSede1 = mysql_query($query_rstSede1, $conn) or die(mysql_error());
	$row_rstSede1 = mysql_fetch_assoc($rstSede1);
	$totalRows_rstSede1 = mysql_num_rows($rstSede1);
	
	if ($row['tipo_usuario']=='8') {
	   $usuario='Asistente Administrativo';
	 }  
	
	 if ($row['tipo_usuario']=='6') {
	   $usuario='Analista SADCE';
	 }  
	if ($row['tipo_usuario']=='7') {
	   $usuario='Coordinador de Programa';
	 }  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cedula"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombres"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstSede["nombre_sede"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Usuario")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($usuario) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode,$sede_usuario)
  {
  global $conn;
  
    $conn=connect();

  	mysql_select_db($database_cn, $conn);
	mysql_query ("SET NAMES 'utf8'");
	$query_rstSede = "SELECT codigo, nombre_sede FROM sedes where codigo='$sede_usuario' ORDER BY nombre_sede";
	$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
	$row_rstSede = mysql_fetch_assoc($rstSede);
	$totalRows_rstSede = mysql_num_rows($rstSede);
	
	$codigo_sede=$row['sede'];
	
	$query_rstSede1 = "SELECT codigo, nombre_sede FROM sedes WHERE codigo='$codigo_sede'";
	$rstSede1 = mysql_query($query_rstSede1, $conn) or die(mysql_error());
	$row_rstSede1 = mysql_fetch_assoc($rstSede1);
	$totalRows_rstSede1 = mysql_num_rows($rstSede1);
	
	if ($row['tipo_usuario']=='8') {
	   $usuario='Asistente Administrativo';
	 }  
	
	 if ($row['tipo_usuario']=='6') {
	   $usuario='Analista SADCE';
	 }  
	if ($row['tipo_usuario']=='7') {
	   $usuario='Coordinador de Programa';
	 }  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr"><input disabled="disabled" type="text" name="cedula" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" ></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="apellidos" maxlength="30" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="nombres" maxlength="30" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr">
<select name="sede">
<option value="<?php echo $row_rstSede1['codigo']?>"><?php echo $row_rstSede1['nombre_sede']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
  <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Usuario")."&nbsp;" ?></td>
<td class="dr">
<select name="tipo_usuario">
  <option value="<?php echo $row['tipo_usuario'] ?>"><?php echo $usuario ?></option>
  <option value="7">Coordinador de Programa</option>
  <option value="6">Analista SADCE</option>
  <option value="8">Asistente Administrativo</option>
</select>
</td>
</tr>
</table>
<?php 
mysql_free_result($rstSede);
} ?>

<?php function showrowadd($row, $iseditmode,$sede_usuario)
  {
  global $conn;
  
    $conn=connect();

  	mysql_select_db($database_cn, $conn);
	mysql_query ("SET NAMES 'utf8'");
	$query_rstSede = "SELECT codigo, nombre_sede FROM sedes WHERE codigo='$sede_usuario' ORDER BY nombre_sede";
	$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
	$row_rstSede = mysql_fetch_assoc($rstSede);
	$totalRows_rstSede = mysql_num_rows($rstSede);
	  
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="cedula" maxlength="10" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" onBlur="verificar_user_admin(this.value)" onKeyPress="return soloNum(event)"><iframe name="frameUA" id="frameUA" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="apellidos" maxlength="30" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="nombres" maxlength="30" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr">
<select name="sede">
<option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
  <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Usuario")."&nbsp;" ?></td>
<td class="dr">
<select name="tipo_usuario">
  <option value="0">Seleccione...</option>
  <option value="7">Coordinador de Programa</option>
  <option value="6">Analista SADCE</option>
  <option value="8">Asistente Administrativo</option>
</select>
</td>
</tr>
</table>
<?php 
mysql_free_result($rstSede);
} ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="usuarios_admin_sede.php?a=add">Agregar Usuario</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="usuarios_admin_sede.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="usuarios_admin_sede.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="usuarios_admin_sede.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="usuarios_admin_sede.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="usuarios_admin_sede.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="usuarios_admin_sede.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="usuarios_admin_sede.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec($sede_usuario)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="usuarios_admin_sede.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addUserAdmin" id="addUserAdmin" enctype="multipart/form-data" action="usuarios_admin_sede.php" method="post" onSubmit="return validar_user_admin()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "cedula" => "",
  "apellidos" => "",
  "nombres" => "",
  "sede" => "",
  "tipo_usuario" => "");
showrowadd($row, false, $sede_usuario);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid, $sede_usuario)
{
  $res = sql_select($sede_usuario);
  $count = sql_getrecordcount($sede_usuario);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid,$sede_usuario) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="usuarios_admin_sede.php?a=add">Agregar Usuario</a></td>
<td><a href="usuarios_admin_sede.php?a=edit&recid=<?php echo $recid ?>">Editar Usuario</a></td>
<td><a href="usuarios_admin_sede.php?a=del&recid=<?php echo $recid ?>">Borrar Usuario</a></td>
</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid,$sede_usuario)
{
  $res = sql_select($sede_usuario);
  $count = sql_getrecordcount($sede_usuario);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="usuarios_admin_sede.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xapellidos" value="<?php echo $row["apellidos"] ?>">
<input type="hidden" name="xnombres" value="<?php echo $row["nombres"] ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xtipo_usuario" value="<?php echo $row["tipo_usuario"] ?>">
<?php showroweditor($row, true,$sede_usuario); ?>
<p><input type="submit" name="action" value="Guardar Cambios"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid,$sede_usuario)
{
  $res = sql_select($sede_usuario);
  $count = sql_getrecordcount($sede_usuario);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="usuarios_admin_sede.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xapellidos" value="<?php echo $row["apellidos"] ?>">
<input type="hidden" name="xnombres" value="<?php echo $row["nombres"] ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xtipo_usuario" value="<?php echo $row["tipo_usuario"] ?>">
<?php showrow($row, $recid, $sede_usuario) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("enaph_siace");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($sede_usuario)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `cedula`, `apellidos`, `nombres`, `sede`, `tipo_usuario` FROM `usuarios_admin` where sede='$sede_usuario'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`cedula` like '" .$filterstr ."') or (`apellidos` like '" .$filterstr ."') or (`nombres` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`tipo_usuario` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($sede_usuario)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `usuarios_admin` where sede='$sede_usuario'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`cedula` like '" .$filterstr ."') or (`apellidos` like '" .$filterstr ."') or (`nombres` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`tipo_usuario` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;

  $sql = "insert into `usuarios_admin` (`cedula`, `apellidos`, `nombres`, `sede`, `tipo_usuario`) values (" .sqlvalue(@$_POST["cedula"], true).", " .sqlvalue(@$_POST["apellidos"], true).", " .sqlvalue(@$_POST["nombres"], true).", " .sqlvalue(@$_POST["sede"], true).", " .sqlvalue(@$_POST["tipo_usuario"], true).")";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;

  $sql = "update `usuarios_admin` set `apellidos`=" .sqlvalue(@$_POST["apellidos"], true).", `nombres`=" .sqlvalue(@$_POST["nombres"], true).", `sede`=" .sqlvalue(@$_POST["sede"], true).", `tipo_usuario`=" .sqlvalue(@$_POST["tipo_usuario"], true) ." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;
  $cedula=@$_POST["xcedula"];
  mysql_select_db($database_conn, $conn);
  $sql = "SELECT * FROM usuarios WHERE cedula='$cedula'";
  $rs=mysql_query($sql, $conn);
  $reg=mysql_num_rows($rs);
  if ($reg != 0) {
	    ?>
	     <script type="text/javascript">
	        msj="Usuario " +'<<<?php echo $cedula; ?>>>'+" no se puede borrar. Es usuario SADCE."
	 	    alert(msj);
	     </script>
	 <?php
	 }
   else {

	  $sql = "delete from `usuarios_admin` where " .primarykeycondition();
	  mysql_query($sql, $conn) or die(mysql_error());
	}
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`cedula`";
  if (@$_POST["xcedula"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcedula"], true);
  };
  $pk .= ") and ";
  $pk .= "(`apellidos`";
  if (@$_POST["xapellidos"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xapellidos"], true);
  };
  $pk .= ") and ";
  $pk .= "(`nombres`";
  if (@$_POST["xnombres"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xnombres"], true);
  };
  $pk .= ") and ";
  $pk .= "(`sede`";
  if (@$_POST["xsede"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xsede"], true);
  };
  $pk .= ") and ";
  $pk .= "(`tipo_usuario`";
  if (@$_POST["xtipo_usuario"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xtipo_usuario"], true);
  };
  $pk .= ")";
  return $pk;
}

?>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>	
	
 
<script type="text/javascript">
	
function validar_user_admin()
{
	if(document.addUserAdmin.cedula.value==""){
	   alert("El campo <<Cédula o Pasaporte>> es obligatorio");
	   document.addUserAdmin.cedula.focus();
	   return false;
	}
	if(document.addUserAdmin.apellidos.value==""){
	   alert("El campo <<Apellidos>> es obligatorio");
	   document.addUserAdmin.apellidos.focus();
	   return false;
	}
	if(document.addUserAdmin.nombres.value==""){
	   alert("El campo <<Nombres> es obligatorio");
	   document.addUserAdmin.nombres.focus();
	   return false;
	}
	if(document.addUserAdmin.sede.value==0){
	   alert("El campo <<Sede>> es obligatorio");
	   document.addUserAdmin.sede.focus();
	   return false;
	}
	if(document.addUserAdmin.tipo_usuario.value==0){
	   alert("El campo <<Tipo de Usuario>> es obligatorio");
	   document.addUserAdmin.tipo_usuario.focus();
	   return false;
	}
			
return true;
}
	

function verificar_user_admin(cedula)
{
 	if (cedula!="")
	 {
	 url="validar_usuario_admin.php?cedula="+cedula;
	 frameUA.location=url;
	 }
}
</script>

